#1681 FATAL ERROR SBCL: can't start maxima

closed
nobody
Lisp Core (471)
5
2009-06-01
2009-05-31
swiftscythe
No

I get this error while running:
$ maxima
fatal error encountered in SBCL pid 15599(tid 140714631796464):
can't load .core for different runtime, sorry

Welcome to LDB, a low-level debugger for the Lisp runtime environment.
ldb>

Any ideas?
I'm on Arch Linux x86_64 with maxima 5.18.1

Thanks in advance

Discussion

  • Raymond Toy

    Raymond Toy - 2009-06-01

    If you're using a precompiled binary, then this most likely means the version of sbcl you have installed does not match the version of sbcl used to compile the binary.

    If you compiled it yourself, then most likely the version used to compiled maxima is not the same version used to run run maxima.

     
  • swiftscythe

    swiftscythe - 2009-06-01

    I installed both from Arch's Extra repo...
    scbl version = 1.0.28

    I'll post on Arch forums then

    Thanks :)

     
  • swiftscythe

    swiftscythe - 2009-06-01

    Yes, you were right, i had installed maxima from a precompiled binary...
    I have built it from source and the problem has gone!

    A million thanks :)

     
  • Raymond Toy

    Raymond Toy - 2009-06-01

    Great!

    Closing this bug report.

     
  • Raymond Toy

    Raymond Toy - 2009-06-01
    • status: open --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks